<?php
include_once(_DIR_TO_CLASS.'/c_page.php') ;
include_once(_DIR_EXT.'/rmt/i_mrt.php') ;
class c_page_cab_rmt extends c_page
{
 public $h1='Рабочее место техника' ;
 public $rec_TO=array() ;
 public $rec_MO=array() ;
 public $rec_personal=array() ;


 function set_head_tags()
 { parent::set_head_tags() ;
   $this->HEAD['css'][]=_PATH_TO_EXT.'/rmt/style.css' ;
 }

 function second_menu_config()
 { $this->second_menu['/cab/rmt/']=array('title'=>'ТО') ;
   $this->second_menu['/cab/rmt/check/tablet/']=array('title'=>'ТО - Планшет') ;
   $this->second_menu['/cab/rmt/check/tablet/car/']=array('title'=>'ТО - Без водителя') ;
   $this->second_menu['/cab/rmt/log/']=array('title'=>'Журнал') ;
   //$this->second_menu['/cab/esmo_magnit/pdd/upload/mail/']=array('title'=>'Загрузка из почты') ;
   //$this->second_menu['/cab/esmo_magnit/pdd/scan/report/']=array('title'=>'Журнал загруженных направлений') ;
   //$this->second_menu['/cab/esmo_magnit/pdd/setting/']=array('title'=>'Настройки') ;
 }

 function block_main()
 { $this->panel_hand_TO() ;
   $this->panel_list_TO() ;
 }

 function panel_hand_TO()
 { ?><div id="panel_hand_TO">
              <form >
                 <h2>Введите номер пропуска водителя</h2>
                 <div class="left">
                     <input type="text" name="propusk_driver" id="propusk_driver" value="" style="font-size: large;padding: 13px 6px;">&nbsp;&nbsp;&nbsp;
<!--                     <label><input type="radio" name="access_type" value="1" checked> ВЫЕЗД </label>&nbsp;&nbsp;&nbsp;-->
<!--                     <label><input type="radio" name="access_type" value="0"> ВЪЕЗД </label>&nbsp;&nbsp;&nbsp;-->
                     <div class="TO_buttons v2" cmd="rmt/start_check_car2" mode="1"> Начать ТО</div>
                 </div>
              </form>
     </div>
     <div id="panel_PL_info"></div>
     <?
 }

 function panel_list_TO()
 {?><div id="panel_list_TO"><h2>Предыдущие проверки ТО <span class="small">Последние 100</span></h2><?
   $recs=CAR_TO()->get_TO_recs(array('member_id'=>MEMBER()->id,'limit'=>100)) ;
   print_template($recs,'aspmo_rmt/list_TO_small') ;
   ?></div><?
 }

}

?>